Bug 141557 - DOCX file crashes when the anchor changed to_paragraph from as_char
Summary: DOCX file crashes when the anchor changed to_paragraph from as_char
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.1 rc
Hardware: All All
: medium normal
Assignee: Attila Bakos (NISZ)
URL:
Whiteboard: target:7.2.0
Keywords: filter:docx
Depends on:
Blocks:
 
Reported: 2021-04-08 08:32 UTC by NISZ LibreOffice Team
Modified: 2021-05-05 08:16 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
The problematic file (1.20 MB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2021-04-08 08:34 UTC, NISZ LibreOffice Team
Details
Screenshot before the crash in Writer (160.38 KB, image/jpeg)
2021-04-08 08:34 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-04-08 08:32:40 UTC
Description:
DOCX file crashes when the anchor changed to_paragraph from as_char

Steps to Reproduce:
1. Open the attached docx.
2. Select the red textbox.
3. Change the anchor to_paragraph.

Actual Results:
Crash.

Expected Results:
No crash.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: d4437f5071422b8f64f18c4be3b1a0208ee49da3
CPU threads: 8; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL

and in:

Version: 7.1.0.1 (x64)
Build ID: b585d7d90ab863bf29b2d110c174c0c2a98f3ee4
CPU threads: 8; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded

not in:

Verzió: 6.4.6.2 (x64)
Build az.: 0ce51a4fd21bff07a5c061082cc82c5ed232f115
CPU szálak: 8; OS: Windows 10.0 Build 19042; Felületmegjelenítés: alapértelmezett; VCL: win; 
Területi beállítások: hu-HU (hu_HU); Felület nyelve: hu-HU
Calc: threaded
Comment 1 NISZ LibreOffice Team 2021-04-08 08:34:23 UTC
Created attachment 171027 [details]
The problematic file
Comment 2 NISZ LibreOffice Team 2021-04-08 08:34:54 UTC
Created attachment 171028 [details]
Screenshot before the crash in Writer
Comment 3 Commit Notification 2021-04-19 08:45:44 UTC
Attila Bakos (NISZ) committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cb965f2cf6d68c284ccbd8a9635abfdfcc0538ca

tdf#141550 tdf#141557 tdf#140975 sw: fix textbox crash

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 NISZ LibreOffice Team 2021-05-05 08:16:22 UTC
Verified in: 

Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: ef78c7d93e4f170ac7a7f0307a8305052524eb53
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: default; VCL: win
Locale: ug-CN (hu_HU); UI: hu-HU
Calc: threaded